> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Company Addresses

GET https://api-b2b.bigcommerce.com/api/v2/io/companies/{companyId}/addresses

Get all addresses for a company

Reference: https://docs.bigcommerce.com/developer/docs/archive/b2b-edition/v2-api/address/companies-addresses-list

## Authentication

- `authToken` header (required) — API Key authentication via header

## Request

### Path parameters

- `companyId` (string, required)

### Query parameters

- `minLastModifiedTime` (double, optional) — Company filter condition: timestamp string e.g. 01/01/2000
- `maxLastModifiedTime` (double, optional) — Company filter condition: timestamp string e.g. 01/01/2000
- `minLastCreatedTime` (double, optional) — Company filter condition: timestamp string e.g. 01/01/2000
- `maxLastCreatedTime` (double, optional) — Company filter condition: timestamp string e.g. 01/01/2000
- `q` (string, optional) — Company query string
- `firstName` (double, optional) — Address first name filter
- `lastName` (double, optional) — Address first name filter
- `address` (double, optional) — Address line 1 filter
- `city` (double, optional) — Address city filter
- `country` (double, optional) — Address country filter
- `state` (double, optional) — Address state filter
- `zipCode` (double, optional) — Address zip code filter
- `phoneNumber` (double, optional) — Address phone number filter
- `isShipping` (double, optional) — Address is shipping filter
- `isBilling` (double, optional) — Address is billing filter
- `externalId[]` (list of string, optional) — Address external id filter
- `offset` (double, optional) — Address pagination offset, default 0
- `limit` (double, optional) — Address pagination limit, default 4.

### Headers

- `authToken` (string, required) — Auth token in header.

## Response

### 200

Response Success

- `code` (double, optional) — Response status code
- `data` (CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaData, optional) — Response data
- `message` (string, optional) — Response message

## Types

### CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaData

Response data

- `addresses` (CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddresses, optional) — All addresses

### CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddresses

All addresses

- `[address_id]` (CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressId, optional) — The map from address ID to address
- `defaultBillingId` (double, optional) — The identifier of the default shipping address
- `defaultShippingId` (double, optional) — The identifier of the default shipping address

### CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressId

The map from address ID to address

- `addressId` (string, optional) — Identifier for the address (same as URL parameter addressId)
- `addressLine1` (string, optional) — Typically the street address
- `addressLine2` (string, optional) — More detailed information about where to deliver mail, such as a suite or office number
- `city` (string, optional)
- `country` (CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressIdCountry, optional)
- `firstName` (string, optional)
- `isBilling` (boolean, optional) — Indicates whether the address is a billing address
- `isDefaultBilling` (boolean, optional)
- `isDefaultShipping` (boolean, optional)
- `isShipping` (boolean, optional) — Indicates whether the address is a shipping address
- `lastName` (string, optional)
- `phoneNumber` (string, optional)
- `state` (CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressIdState, optional)
- `zipCode` (string, optional) — A valid postal code used by the country that was specified
- `externalId` (string, optional)

### CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressIdCountry

- `countryCode` (string, optional) — ISO 3166-1 Alpha 2 Country Code
- `countryName` (string, optional) — Human readable country name

### CompaniesCompanyIdAddressesGetResponsesContentApplicationJsonSchemaDataAddressesAddressIdState

- `stateCode` (string, optional) — ISO 3166-2 Alpha 2 Country Subdivision Code
- `stateName` (string, optional) — Human readable state (or other subdivision) name

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "addresses": {
      "7": {
        "addressId": "7",
        "addressLine1": "123 Main Street",
        "addressLine2": "Blvd",
        "channelId": "1",
        "channelName": "test",
        "city": "Austin",
        "country": {
          "countryCode": "US",
          "countryName": "United States"
        },
        "firstName": "Jane",
        "isBilling": true,
        "isDefaultBilling": true,
        "isDefaultShipping": true,
        "isShipping": true,
        "lastName": "Doe",
        "phoneNumber": "11111111111",
        "state": {
          "stateCode": "TX",
          "stateName": "Texas"
        },
        "zipCode": "78751"
      }
    },
    "defaultBillingId": "7",
    "defaultShippingId": "7"
  },
  "message": "SUCCESS"
}
```

**SDK Code**

```shell Shell

curl --location --request GET 'https://api-b2b.bigcommerce.com/api/v2/io/companies/39/addresses?minLastModifiedTime=1/11/2019&maxLastModifiedTime=1/11/2020&minLastCreatedTime=1/11/2019&maxLastCreatedTime=1/11/2020'                         --header 'authToken: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY'                         --header 'Content-Type: application/json' 

```

```python Python

import requests

url = "https://api-b2b.bigcommerce.com/api/v2/io/companies/39/addresses?minLastModifiedTime=1/11/2019&maxLastModifiedTime=1/11/2020&minLastCreatedTime=1/11/2019&maxLastCreatedTime=1/11/2020"

payload = {}
headers = {
  'authToken': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY',
  'Content-Type': 'application/json'
}

response = requests.request("GET", url, headers=headers, data = payload)

print(response.text.encode('utf8'))


```

```javascript JavaScript

var myHeaders = new Headers();
myHeaders.append("authToken", "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJzdG9yZV9oYXNoIjoiZjJvc3hqam54aiIsImRiIjoiZGVmYXVsdCIsImVtYWlsIjoiYnJ1Y2UuaHVhbmdAc2lsa3NvZnR3YXJlLmNvbSJ9._DQFg-3FgtztdQVCGU5Gxfv8j8V3U9Ssaw7ARxUU6pY");
myHeaders.append("Content-Type", "application/json");

var requestOptions = {
  method: 'GET',
  headers: myHeaders,
  redirect: 'follow'
};

fetch("https://api-b2b.bigcommerce.com/api/v2/io/companies/39/addresses?minLastModifiedTime=1/11/2019&maxLastModifiedTime=1/11/2020&minLastCreatedTime=1/11/2019&maxLastCreatedTime=1/11/2020", requestOptions)
  .then(response => response.text())
  .then(result => console.log(result))
  .catch(error => console.log('error', error));

```

```go Address_companies_addresses_list_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("authToken", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Address_companies_addresses_list_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["authToken"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Address_companies_addresses_list_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses")
  .header("authToken", "<apiKey>")
  .asString();
```

```php Address_companies_addresses_list_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses', [
  'headers' => [
    'authToken' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Address_companies_addresses_list_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses");
var request = new RestRequest(Method.GET);
request.AddHeader("authToken", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Address_companies_addresses_list_example
import Foundation

let headers = ["authToken": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```